/*
 * Sudokuki - essential sudoku game
 * Copyright (C) 2007-2011 Sylvain Vedrenne
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package net.jankenpoi.sudokuki.ui.swing;

import javax.swing.JMenu;
import javax.swing.JMenuItem;

@SuppressWarnings("serial")
public class PreferencesMenu extends JMenu {
	
	public PreferencesMenu() {
		super("Preferences");
		addItems();
		setIcon(StockIcons.ICON_PREFERENCES);
		setEnabled(false);
	}

	private void addItems() {
		add(new LevelMenu());

		add(new NumbersMenu());
		
		add(new LanguageMenu());
		
		JMenuItem menuItem = new JMenuItem("Printing", StockIcons.ICON_PRINTER_INFO);
		add(menuItem);
	}
}
